Package org.drinkless.tdlib

# Class TdApi.SharedUser

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SharedUser

Enclosing class:
  `TdApi`

public static class TdApi.SharedUser extends TdApi.Object
Contains information about a user shared with a bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `firstName`
  First name of the user; for bots only.
  `String`
  `lastName`
  Last name of the user; for bots only.
  `TdApi.Photo`
  `photo`
  Profile photo of the user; for bots only; may be null.
  `long`
  `userId`
  User identifier.
  `String`
  `username`
  Username of the user; for bots only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SharedUser()`
  Contains information about a user shared with a bot.
  `SharedUser(long userId, String firstName, String lastName, String username, TdApi.Photo photo)`
  Contains information about a user shared with a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    User identifier.

  - ### firstName

    public String firstName
    First name of the user; for bots only.

  - ### lastName

    public String lastName
    Last name of the user; for bots only.

  - ### username

    public String username
    Username of the user; for bots only.

  - ### photo

    @Nullable public TdApi.Photo photo
    Profile photo of the user; for bots only; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SharedUser

    public SharedUser()
    Contains information about a user shared with a bot.

  - ### SharedUser

    public SharedUser(long userId, String firstName, String lastName, String username, TdApi.Photo photo)
    Contains information about a user shared with a bot.
    Parameters:
      `userId` - User identifier.
      `firstName` - First name of the user; for bots only.
      `lastName` - Last name of the user; for bots only.
      `username` - Username of the user; for bots only.
      `photo` - Profile photo of the user; for bots only; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR